/*  
                           *  MAIN ADMIN SCREEN * 
                           
 *  This java file performs the following functionalities:
 *  1. Creates the main administrator Screen using the Border Layout
 *  2. It provides buttons that display appropriate screens 
    (source admin / source description ) when clicked
 */

package CMS;
import javax.swing.*;
import javax.swing.event.*;

import java.awt.*;
import java.awt.event.*;


public class MainAdminScreen extends JFrame implements ActionListener
{
	JPanel panel1 = new JPanel(new GridLayout(4,1));
	
	// Image for BANNER
	ImageIcon image1 = new ImageIcon("fruits.jpg");
	JLabel label1 = new JLabel(image1, JLabel.CENTER);
	
	//Buttons to be used.
	Dimension d = new Dimension(30,30);
	JButton listenBtn = new JButton("Start Listening for new source (Future work)"); 
	JButton  scheduleSrcBtn = new JButton("Schedule data gathering from a source");
	JButton  reloadDataModelBtn = new JButton("Reload data model button into the database");
	JButton  printDataModelBtn = new JButton("Print data collected into a DB model");
	
	
	//Label for displaying messages
	JLabel msgLabel = new JLabel("Initial");
	
	public MainAdminScreen() 
	{
		//Title for screen
		super("CMS - MAIN ADMIN SCREEN");
		getContentPane().setLayout(new BorderLayout());
		
		// Adding components to Panel
		getContentPane().add(label1,BorderLayout.NORTH);
		
		/* modified to reflect desired size */
		setBtnProps(listenBtn);
		setBtnProps(scheduleSrcBtn);
		setBtnProps(printDataModelBtn);
		setBtnProps(reloadDataModelBtn);
		listenBtn.addActionListener(this);
		scheduleSrcBtn.addActionListener(this);
		printDataModelBtn.addActionListener(this);
		reloadDataModelBtn.addActionListener(this);
	
		panel1.add(listenBtn);
		panel1.add(scheduleSrcBtn);
		panel1.add(printDataModelBtn);
		panel1.add(reloadDataModelBtn);
		getContentPane().add(panel1,BorderLayout.CENTER);
		
		msgLabel.setFont(new Font("Serif", Font.BOLD,13));
		getContentPane().add(msgLabel,BorderLayout.SOUTH);
		
		//Screen properties
		setSize(300,600);
		setVisible(true);
		setResizable(false);
		
		addWindowListener
		(
			new WindowAdapter() 
			{
				 public void windowClosing(WindowEvent e)
				  {
				  	System.exit(0);
				  }
			}
			
		);
	}
		
	public void setBtnProps(JButton btn)	
	{
		Color clr = new Color(16,107,141);		
	   	btn.setPreferredSize(new Dimension(300,150)); 
		btn.setFont(new Font("Serif", Font.BOLD,13));
		btn.setBackground(clr);
	}
    		
	public void actionPerformed(ActionEvent e)
	{
		if(e.getSource() == listenBtn)
		{
			msgLabel.setText(e.getActionCommand());
		}
		else
		if(e.getSource() == scheduleSrcBtn)
		{
			msgLabel.setText("To schedule a source for data gathering");
			SourceScheduler screen1 = new SourceScheduler();
		}
		else
		if(e.getSource() == printDataModelBtn)
		{
			msgLabel.setText("To print data collected into an RDF file");
			PersistentOntology po = new PersistentOntology();
			po.readSchema_DataModel("world","DataFromModel.rdf");
		}
	   else
	   if(e.getSource() == reloadDataModelBtn)
		{
			msgLabel.setText("To reoload the data model from RDF file into DB");
			PersistentOntology po = new PersistentOntology();
			po.reloadDB();
			msgLabel.setText("DB has been reloaded");
		}	
	}
		
		
	public static void main(String args[])
	{
		MainAdminScreen myFrame = new MainAdminScreen();
	}
}


